MacDrawProParserInternal::Layer Struct Reference

## Public Member Functions

| Layer ()
| constructor

## Public Attributes

int | m_numShapes
| the number of shape
int | m_firstShape
| the first shape
bool | m_isHidden
| true if the layer is hidden
MWAWBox2f | m_box
| the layer bounding box (if computed)
std::map< int, int > | m_libraryToObjectMap
| map library to pos
long | m_N [3]
| some unknown number find in the beginning of the header
librevenge::RVNGString | m_name
| the layer name

## Constructor & Destructor Documentation

## Layer()

MacDrawProParserInternal::Layer::Layer | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_box

MWAWBox2f MacDrawProParserInternal::Layer::m_box

the layer bounding box (if computed)

Referenced by Layer().

## m_firstShape

int MacDrawProParserInternal::Layer::m_firstShape

the first shape

Referenced by Layer(), MacDrawProParser::readLayersInfo(), and MacDrawProParser::send().

## m_isHidden

bool MacDrawProParserInternal::Layer::m_isHidden

true if the layer is hidden

Referenced by Layer(), and MacDrawProParser::readLayersInfo().

## m_libraryToObjectMap

std::map<int, int> MacDrawProParserInternal::Layer::m_libraryToObjectMap

map library to pos

Referenced by Layer(), and MacDrawProParser::readLayerLibraryCorrespondance().

## m_N

long MacDrawProParserInternal::Layer::m_N[3]

some unknown number find in the beginning of the header

Referenced by Layer(), and MacDrawProParser::readLayersInfo().

## m_name

librevenge::RVNGString MacDrawProParserInternal::Layer::m_name

the layer name

Referenced by Layer(), and MacDrawProParser::send().

## m_numShapes

int MacDrawProParserInternal::Layer::m_numShapes

the number of shape

Referenced by Layer(), MacDrawProParser::readLayersInfo(), and MacDrawProParser::send().

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx